#!/bin/sh -norc

################################################################################
# Script de restautation de la configuration de Netfilter                      #
#                                                                              #
# Commentaire : Script inspir du /etc/init.d/iptables de la distribution      #
# Linux Mandrake                                                               #
#                                                                              #
# Cr le: 2003/04/01                    Dernire modification le : 2004/04/01 #
################################################################################

# Lance la commande "iptables" si la table "$1" existe
iftable() {
        if fgrep -qsx $1 /proc/net/ip_tables_names; then
                iptables -t "$@"
        fi
}

# Programme principal
chains=`cat /proc/net/ip_tables_names 2>/dev/null`

echo "+ Suppression de toutes les chanes pr-dfinies"
for i in $chains; do iptables -t $i -F; done

echo "+ Suppression de toutes les chanes utilisateur"
for i in $chains; do iptables -t $i -X; done

iftable filter -P INPUT  ACCEPT && \
iftable filter -P FORWARD ACCEPT && \
iftable filter -P OUTPUT  ACCEPT && \
echo "+ Dfinit  ACCEPT les cibles par dfaut de la table FILTER"


iftable nat -P PREROUTING  ACCEPT && \
iftable nat -P OUTPUT      ACCEPT && \
iftable nat -P POSTROUTING ACCEPT && \
echo "+ Dfinit  ACCEPT les cibles par dfaut de la table NAT"

iftable mangle -P PREROUTING  ACCEPT && \
iftable filter -P INPUT       ACCEPT && \
iftable filter -P FORWARD     ACCEPT && \
iftable filter -P OUTPUT      ACCEPT && \
iftable mangle -P POSTROUTING ACCEPT && \
echo "+ Dfinit  ACCEPT les cibles par dfaut de la table MANGLE"

echo "+ Arrt du port forwarding"
echo 0 > /proc/sys/net/ipv4/ip_forward
