#!/bin/sh -norc

################################################################################
# Script de filtrage par chane utilisateur (1)                                #
#                                                                              #
# Commentaire :                                                                #
#  - Aucune restriction avec lo                                                #
#  - Autorise le ping et le HTTP depuis eth0                                   #
#                                                                              #
# Cr le: 2003/04/01                    Dernire modification le : 2004/04/01 #
################################################################################

# Initialisation de la table FILTER
iptables -t filter -P INPUT   ACCEPT
iptables -t filter -P FORWARD ACCEPT
iptables -t filter -P OUTPUT  ACCEPT
iptables -t filter -F
iptables -t filter -X


# Initialisation de la table NAT
iptables -t nat -P PREROUTING  ACCEPT
iptables -t nat -P OUTPUT      ACCEPT
iptables -t nat -P POSTROUTING ACCEPT
iptables -t nat -F
iptables -t nat -X


# Initialisation de la table MANGLE
iptables -t mangle -P PREROUTING  ACCEPT
iptables -t mangle -P INPUT       ACCEPT
iptables -t mangle -P FORWARD     ACCEPT
iptables -t mangle -P OUTPUT      ACCEPT
iptables -t mangle -P POSTROUTING ACCEPT
iptables -t mangle -F
iptables -t mangle -X

# Autorise toutes les connexions vers le loopback
iptables -t filter -A INPUT  -i lo -j ACCEPT
iptables -t filter -A OUTPUT -o lo -j ACCEPT

# Autorise les pings entrants et sortant depuis eth0
iptables -t filter -A INPUT  -i eth0 -p icmp -j ACCEPT
iptables -t filter -A OUTPUT -o eth0 -p icmp -j ACCEPT

# Autorise a accder au serveur HTTP du prsentateur
iptables -t filter -A INPUT  -i eth0 -p tcp --sport 80 -j ACCEPT
iptables -t filter -A OUTPUT -o eth0 -p tcp --dport 80 -j ACCEPT

# Cration de la chane utilisateur "LogDrop"
iptables -t filter -N LogDrop
iptables -t filter -A LogDrop -j LOG
iptables -t filter -A LogDrop -j DROP

# Log et supprime toutes les trames IP restantes
iptables -t filter -A INPUT  -j LogDrop
iptables -t filter -A OUTPUT -j LogDrop
