#!/bin/sh -norc

################################################################################
# Script de filtrage par chane utilisateur (2)                                #
#                                                                              #
# Commentaire :                                                                #
#  - Autorise le ping et le HTTP depuis 3 machines distinctes de eth0          #
#                                                                              #
# Cr le: 2003/04/01                    Dernire modification le : 2004/04/01 #
################################################################################

IP_MACHINE_0=192.168.1.50
IP_MACHINE_1=192.168.1.51
IP_MACHINE_2=192.168.1.52

# Initialisation de la table FILTER
iptables -t filter -P INPUT   DROP
iptables -t filter -P FORWARD DROP
iptables -t filter -P OUTPUT  DROP
iptables -t filter -F
iptables -t filter -X


# Initialisation de la table NAT
iptables -t nat -P PREROUTING  ACCEPT
iptables -t nat -P OUTPUT      ACCEPT
iptables -t nat -P POSTROUTING ACCEPT
iptables -t nat -F
iptables -t nat -X


# Initialisation de la table MANGLE
iptables -t mangle -P PREROUTING  ACCEPT
iptables -t mangle -P INPUT       ACCEPT
iptables -t mangle -P FORWARD     ACCEPT
iptables -t mangle -P OUTPUT      ACCEPT
iptables -t mangle -P POSTROUTING ACCEPT
iptables -t mangle -F
iptables -t mangle -X

# Autorise toutes les connexions vers le loopback
iptables -t filter -A INPUT  -i lo -j ACCEPT
iptables -t filter -A OUTPUT -o lo -j ACCEPT



# Autorise les pings entrants et sortants avec "MACHINE 0"
iptables -t filter -A INPUT  -i eth0 -s $IP_MACHINE_0 -p icmp -j ACCEPT
iptables -t filter -A OUTPUT -o eth0 -d $IP_MACHINE_0 -p icmp -j ACCEPT

# Autorise notre machine  accder au serveur HTTP de "MACHINE 0"
iptables -t filter -A INPUT  -i eth0 -s $IP_MACHINE_0 -p tcp --sport 80 -j ACCEPT
iptables -t filter -A OUTPUT -o eth0 -d $IP_MACHINE_0 -p tcp --dport 80 -j ACCEPT

# Autorise "MACHINE 0" a accder  notre au serveur HTTP
iptables -t filter -A INPUT  -i eth0 -s $IP_MACHINE_0 -p tcp --dport 80 -j ACCEPT
iptables -t filter -A OUTPUT -o eth0 -d $IP_MACHINE_0 -p tcp --sport 80 -j ACCEPT



# Autorise les pings entrants et sortants avec "MACHINE 1"
iptables -t filter -A INPUT  -i eth0 -s $IP_MACHINE_1 -p icmp -j ACCEPT
iptables -t filter -A OUTPUT -o eth0 -d $IP_MACHINE_1 -p icmp -j ACCEPT

# Autorise notre machine  accder au serveur HTTP de "MACHINE 1"
iptables -t filter -A INPUT  -i eth0 -s $IP_MACHINE_1 -p tcp --sport 80 -j ACCEPT
iptables -t filter -A OUTPUT -o eth0 -d $IP_MACHINE_1 -p tcp --dport 80 -j ACCEPT

# Autorise "MACHINE 1" a accder  notre au serveur HTTP
iptables -t filter -A INPUT  -i eth0 -s $IP_MACHINE_1 -p tcp --dport 80 -j ACCEPT
iptables -t filter -A OUTPUT -o eth0 -d $IP_MACHINE_1 -p tcp --sport 80 -j ACCEPT



# Autorise les pings entrants et sortants avec "MACHINE 2"
iptables -t filter -A INPUT  -i eth0 -s $IP_MACHINE_2 -p icmp -j ACCEPT
iptables -t filter -A OUTPUT -o eth0 -d $IP_MACHINE_2 -p icmp -j ACCEPT

# Autorise notre machine  accder au serveur HTTP de "MACHINE 2"
iptables -t filter -A INPUT  -i eth0 -s $IP_MACHINE_2 -p tcp --sport 80 -j ACCEPT
iptables -t filter -A OUTPUT -o eth0 -d $IP_MACHINE_2 -p tcp --dport 80 -j ACCEPT

# Autorise "MACHINE 2" a accder  notre au serveur HTTP
iptables -t filter -A INPUT  -i eth0 -s $IP_MACHINE_2 -p tcp --dport 80 -j ACCEPT
iptables -t filter -A OUTPUT -o eth0 -d $IP_MACHINE_2 -p tcp --sport 80 -j ACCEPT


# Log tout le reste
iptables -t filter -A INPUT  -j LOG
iptables -t filter -A OUTPUT -j LOG
